#
# what encoding to use for manpages:
#   0: ISO-8859-2
#   1: UTF-8
#
%define UTF 0

%define release 2

Summary: Czech man (manual) pages from the Linux Documentation Project
Name: man-pages-cs
Version: 0.16
%if %{UTF}
Release: %{release}utf
%else
Release: %{release}iso
%endif
License: Distributable
Group: Documentation
Source: ftp://ftp.linux.cz/pub/linux/people/milan_kerslager/man-pages-cs/man-pages-cs-0.16.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch


%description
Manual pages from the Linux Documentation Project, translated into Czech.

%prep
%setup -q 

%build

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_mandir}
%if %{UTF}
  LANG=cs_CZ.UTF-8 make install MANDIR=$RPM_BUILD_ROOT/%{_mandir}/cs
%else
  LANG=cs_CZ make install MANDIR=$RPM_BUILD_ROOT/%{_mandir}/cs
%endif
 
%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CONTRIB README README.Czech man-pages-cs-*.lsm
%{_mandir}/cs/*


%changelog
* Thu Jun 19 2003 Milan Kerslager <kerslage@linux.cz> 0.16-2
- allow building of manpages in UTF or ISO by UTF macro

* Tue Nov 26 2002 Milan Kerslager <kerslage@linux.cz> 0.16-1
- rebuild for RH 8.0
- man pages are in UTF-8 if $LANG has UTF-8 set 

* Mon Nov  5 2001 Milan Kerslager <kerslage@linux.cz>
- updated to version 0.15

* Tue Apr  3 2001 Trond Eivind Glomsrd <teg@redhat.com>
- make pdf2dsc(1) use hyphen.cs, not hyphens.cs (#34181)

* Tue Dec 19 2000 Trond Eivind Glomsrd <teg@redhat.com>
- 0.14
- new location

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Sun Jun 11 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first build
